マーケティングEメールの改訂を取得
curl --request GET \
--url https://api.hubapi.com/marketing/emails/2026-03/{emailId}/revisions/{revisionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/emails/2026-03/{emailId}/revisions/{revisionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/emails/2026-03/{emailId}/revisions/{revisionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": {
"isAb": true,
"activeDomain": "<string>",
"allEmailCampaignIds": [
"<string>"
],
"archived": true,
"businessUnitId": "<string>",
"campaign": "<string>",
"campaignName": "<string>",
"campaignUtm": "<string>",
"clonedFrom": "<string>",
"content": {
"flexAreas": {},
"plainTextVersion": "<string>",
"smartFields": {},
"styleSettings": {
"backgroundColor": "<string>",
"backgroundImage": "<string>",
"bodyBorderColor": "<string>",
"bodyBorderColorChoice": "<string>",
"bodyBorderWidth": 123,
"bodyColor": "<string>",
"buttonStyleSettings": {
"backgroundColor": {},
"cornerRadius": 123,
"fontStyle": {
"bold": true,
"color": "<string>",
"font": "<string>",
"italic": true,
"size": 123,
"underline": true
}
},
"colorPickerFavorite1": "<string>",
"colorPickerFavorite2": "<string>",
"colorPickerFavorite3": "<string>",
"colorPickerFavorite4": "<string>",
"colorPickerFavorite5": "<string>",
"colorPickerFavorite6": "<string>",
"dividerStyleSettings": {
"color": {},
"height": 123,
"lineType": "<string>"
},
"emailBodyPadding": "<string>",
"emailBodyWidth": "<string>",
"headingOneFont": {
"bold": true,
"color": "<string>",
"font": "<string>",
"italic": true,
"size": 123,
"underline": true
},
"headingTwoFont": {
"bold": true,
"color": "<string>",
"font": "<string>",
"italic": true,
"size": 123,
"underline": true
},
"linksFont": {
"bold": true,
"color": "<string>",
"font": "<string>",
"italic": true,
"size": 123,
"underline": true
},
"primaryAccentColor": "<string>",
"primaryFont": "<string>",
"primaryFontColor": "<string>",
"primaryFontLineHeight": "<string>",
"primaryFontSize": 123,
"secondaryAccentColor": "<string>",
"secondaryFont": "<string>",
"secondaryFontColor": "<string>",
"secondaryFontLineHeight": "<string>",
"secondaryFontSize": 123
},
"templatePath": "<string>",
"themeSettingsValues": {},
"widgetContainers": {},
"widgets": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"emailCampaignGroupId": "<string>",
"feedbackSurveyId": "<string>",
"folderId": 123,
"folderIdV2": 123,
"from": {
"customReplyTo": "<string>",
"fromName": "<string>",
"replyTo": "<string>"
},
"id": "<string>",
"isPublished": true,
"isTransactional": true,
"jitterSendTime": true,
"name": "<string>",
"previewKey": "<string>",
"primaryEmailCampaignId": "<string>",
"publishDate": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"publishedByEmail": "<string>",
"publishedById": "<string>",
"publishedByName": "<string>",
"rssData": {
"blogEmailType": "<string>",
"blogImageMaxWidth": 123,
"hubspotBlogId": "<string>",
"maxEntries": 123,
"rssEntryTemplate": "<string>",
"timing": {},
"url": "<string>",
"useHeadlineAsSubject": true
},
"sendOnPublish": true,
"stats": {
"counters": {},
"deviceBreakdown": {},
"qualifierStats": {},
"ratios": {}
},
"subcategory": "<string>",
"subject": "<string>",
"subscriptionDetails": {
"officeLocationId": "<string>",
"preferencesGroupId": "<string>",
"subscriptionId": "<string>",
"subscriptionName": "<string>"
},
"teamsWithAccess": [
"<string>"
],
"testing": {
"isAbVariation": true,
"abTestPercentage": 123,
"hoursToWait": 123,
"testId": "<string>"
},
"to": {
"contactIds": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"contactIlsLists": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"contactLists": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"limitSendFrequency": true,
"suppressGraymail": true
},
"unpublishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"usersWithAccess": [
"<string>"
],
"webversion": {
"domain": "<string>",
"enabled": true,
"expiresAt": "2023-11-07T05:31:56Z",
"isPageRedirected": true,
"metaDescription": "<string>",
"pageExpiryEnabled": true,
"redirectToPageId": "<string>",
"redirectToUrl": "<string>",
"slug": "<string>",
"title": "<string>",
"url": "<string>"
},
"workflowNames": [
"<string>"
]
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}変更履歴
Get a revision of a marketing email
マーケティングEメールの特定のリビジョンを取得します。
GET
/
marketing
/
emails
/
2026-03
/
{emailId}
/
revisions
/
{revisionId}
マーケティングEメールの改訂を取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
最終更新日 2026年4月10日
⌘I